﻿using System.Windows;

namespace MinecraftGPS
{
    /// <summary>
    /// Interaction logic for BookmarkWindow.xaml
    /// </summary>
    partial class BookmarkWindow : Window
    {
        public BookmarkWindow()
        {
            InitializeComponent();

            this.closeButton.Click += (sender, e) =>
            {
                this.Close();
            };

            this.dragButton.PreviewMouseDown += (sender, e) =>
            {
                this.DragMove();
            };
        }

        public string BookmarkName
        {
            get { return bookmarkName.Text; }
            set { bookmarkName.Text = value; }
        }

        private void OkClick(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
        }
    }
}
